Bug 23943 - 3c980 with 3c59x driver doesn't properly autonegotiate
3c980 with 3c59x driver doesn't properly autonegotiate
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-12 21:24 EST by Jonathan Arehart
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-12 21:24:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Arehart 2001-01-12 21:24:29 EST
A co-worker and I have been doing some testing on the 3Com 3c980 10/100 NIC
with 3c59x.o on 2.4.0-prerelease.  Doing "insmod 3c59x" works and traffic
will pass over the connection, but bandwith testing shows us getting 1
megabit or less (using a switched 100 megabit setup).  After using the
diagnostic utilites from <http://www.scyld.com/diag/> and reading through
<http://www.scyld.com/network/vortex.html> we were able to get the expected
performance.  Instead of "insmod 3c59x" we used "insmod 3c59x options=8";
so while this is a problem, there is a workaround.

I know this doesn't really apply to Red Hat 7.0 (which is 2.2.x based), but
I was unable to select Florence as a product against which I could file a
bug.  Something I did wrong?

3c59x.c is version LK1.1.11 from 13 Nov 2000.  The kernel is
2.4.0-prerelease.  The machine is running Florence beta 1 with said kernel,
though beta 2 includes the same version of the driver as does the 2.4.0
(final) kernel.  I can get/generate more debugging information if you
want/need.
Comment 1 Jonathan Arehart 2001-03-13 17:31:21 EST
Fixed by including 3c59x.c version LK1.1.14 in the kernel sources.  I've
verified this version of the driver is in the QA0309 build.  I'm pretty sure it
was also in RC2 and RC1.

Note You need to log in before you can comment on or make changes to this bug.